{
  "_from": "file:/build/blinksocks/src/blinksocks-3.3.4.tgz",
  "_id": "blinksocks@3.3.4",
  "_inBundle": false,
  "_integrity": "sha512-OE6DSbLcXSdRlNryqweQWCdxqKZZoW3VdO1yQS3C8v6FbIu0XR7j53F3YaIXH+lr+Jtq6teWfGgdyeaisoOdcw==",
  "_location": "/blinksocks",
  "_phantomChildren": {},
  "_requested": {
    "type": "file",
    "where": "/build/blinksocks/src",
    "raw": "/build/blinksocks/src/blinksocks-3.3.4.tgz",
    "rawSpec": "/build/blinksocks/src/blinksocks-3.3.4.tgz",
    "saveSpec": "file:/build/blinksocks/src/blinksocks-3.3.4.tgz",
    "fetchSpec": "/build/blinksocks/src/blinksocks-3.3.4.tgz"
  },
  "_requiredBy": [
    "#USER"
  ],
  "_resolved": "/build/blinksocks/src/blinksocks-3.3.4.tgz",
  "_shasum": "39dc76c21f92c2acc9ae26edf51d483e5e10809f",
  "_spec": "/build/blinksocks/src/blinksocks-3.3.4.tgz",
  "_where": "/build/blinksocks/src",
  "author": {
    "name": "Micooz",
    "email": "micooz@hotmail.com"
  },
  "bin": {
    "blinksocks": "bin/start.js"
  },
  "bugs": {
    "url": "https://github.com/blinksocks/blinksocks/issues"
  },
  "bundleDependencies": false,
  "dependencies": {
    "chalk": "^2.4.1",
    "filesize": "^3.6.1",
    "ip": "^1.1.5",
    "js-sha3": "^0.7.0",
    "libsodium-wrappers": "^0.7.3",
    "lodash.isplainobject": "^4.0.6",
    "lodash.uniqueid": "^4.0.1",
    "long": "^4.0.0",
    "lru-cache": "^4.1.3",
    "semver": "^5.5.0",
    "winston": "^3.0.0",
    "winston-daily-rotate-file": "^3.2.3",
    "ws": "^5.2.1"
  },
  "deprecated": false,
  "description": "A framework for building composable proxy protocol stack",
  "devDependencies": {
    "babel-cli": "^6.26.0",
    "babel-core": "^6.26.3",
    "babel-eslint": "^8.2.5",
    "babel-jest": "^23.2.0",
    "babel-plugin-transform-class-properties": "^6.24.1",
    "babel-plugin-transform-object-rest-spread": "^6.26.0",
    "babel-preset-env": "^1.7.0",
    "babel-register": "^6.26.0",
    "cross-env": "^5.2.0",
    "eslint": "^5.0.1",
    "eslint-config-babel": "^7.0.2",
    "eslint-plugin-babel": "^5.1.0",
    "eslint-plugin-flowtype": "^2.49.3",
    "jest": "^23.2.0",
    "lodash.clonedeep": "^4.5.0",
    "mkdirp": "^0.5.1",
    "socks": "2.2.0"
  },
  "engines": {
    "node": ">= 8"
  },
  "files": [
    "bin",
    "lib"
  ],
  "homepage": "https://github.com/blinksocks/blinksocks",
  "jest": {
    "coverageDirectory": "./coverage/",
    "collectCoverage": true
  },
  "keywords": [
    "socks5",
    "socks4",
    "socks4a",
    "http",
    "http2",
    "https",
    "tls",
    "websocket",
    "protocol",
    "secure",
    "proxy",
    "nodejs",
    "blinksocks",
    "shadowsocks",
    "shadowsocksr",
    "v2ray",
    "vmess",
    "middleware",
    "aead",
    "obfs"
  ],
  "license": "Apache-2.0",
  "main": "lib/index.js",
  "name": "blinksocks",
  "repository": {
    "url": "git+https://github.com/blinksocks/blinksocks.git",
    "type": "git"
  },
  "scripts": {
    "benchmark": "node --no-warnings benchmark/bootstrap.js",
    "client": "cross-env NODE_ENV=development node bin/cli.js blinksocks.client.json",
    "compile": "cross-env NODE_ENV=production babel src --out-dir lib --ignore __tests__,__mocks__",
    "debug:client": "cross-env NODE_ENV=development node --inspect --inspect-port=9200 bin/cli.js blinksocks.client.json",
    "debug:server": "cross-env NODE_ENV=development node --inspect --inspect-port=9300 bin/cli.js blinksocks.server.json",
    "lint": "eslint bin src test",
    "prepublishOnly": "npm run compile",
    "server": "cross-env NODE_ENV=development node bin/cli.js blinksocks.server.json",
    "test": "npm run lint && npm run test:coverage",
    "test:coverage": "jest --runInBand --silent --coverage --bail"
  },
  "version": "3.3.4"
}
